Update Order Status

Updates the order status

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

order_idstringRequired

Request

This endpoint expects an object.
statusenumRequired

Response

This endpoint returns an object.
idstring
Unique identifier for the order
storeobject
Store information associated with the order
customerobject
Customer who placed the order
statusenum
Current status of the order
priceinteger
Total price of the order in cents
taxinteger
Total tax amount in cents
itemslist of maps from strings to any
List of items in the order
ready_bydatetime
Requested ready time for the order
created_atdatetime
Time when the order was created
is_readboolean
Whether the order has been read
in_posboolean
Whether the order has been synced to POS
objectstring
Usually "Order" for an order object
customer_commentsstring
Optional comments from the customer
ready_atdatetime
Actual time when order was marked ready
completed_atdatetime
Time when the order was completed
payment_statusenum
Current status of the payment
payment_methodenum
Method used for payment

Errors

422
Unprocessable Entity Error